eeapt-confirm -- APT hook to protect debian packages of unwanted installation/upgrades
======================================================================================

## DESCRIPTION

This package provide as script `eeapt-confirm` declared as a `DPkg::Pre-Install-Pkgs` hook in APT configuration. This hook allow to protect debian packages of unwanted installation/upgrades by asking user for confirmation in interactive mode and deny it in non-interactive mode. By default, all packages are protected, but you can limit it by editing the configuration.

## CONFIGURATION

The configuration is stored in the `/etc/eeapt-confirm.conf` INI style file and contain the following parameters:

  * `confirm_text`:
    The text of the confirmation prompt show to user in interactive mode. Note: expected user answer is `Y` (yes) or `N` (no, default) and the prompt should display it.

  * `noninteractive_text`:
    The error returned in non-interactive mode to explain why the installation/upgrade is denied.

  * `packages_regex`:
    An optional regular expression (PCRE) used to limit the protection to some packages. If defined, the package name must matched to be protected.

    Some examples:

    `asterisk`

       Protect all packages that contain the `asterisk` keyword in their name

    `(apache|php)`

       Protect all packages that contain the `apache` or `php` keywords in their name

    `^vim$`

       Only protect the package `vim`
